## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global short_name lsp-jsonrpc

# Use forge macros for pulling from GitHub
%global forgeurl https://github.com/python-lsp/python-lsp-jsonrpc

%global _description %{expand:
A python server implementation of JSON RPC 2.0 protocol. This library
has been pulled out of the python LSP server project (a community maintained
fork of python-language-server).
}

Name:           python-%{short_name}
Version:        1.1.2
Release:        %autorelease
Summary:        Python implementation of JSON RPC 2.0 protocol
%forgemeta
License:        MIT
URL:            https://github.com/python-lsp/python-lsp-jsonrpc
Source:         %forgesource

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  git-core

# Everything in the “test” extra except pytest is a coverage analysis or
# linting tool.
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters
BuildRequires:  %{py3_dist pytest}

%description %_description

%package -n     python3-%{short_name}
Summary:        %{summary}

%description -n python3-%{short_name} %_description


%prep
%forgeautosetup -S git
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters
sed -r -i 's/^addopts = "[^"]*"/# &/' pyproject.toml
git add pyproject.toml
git commit -m '[Fedora] Remove pytest options pertaining to coverage analysis'
git tag v%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files -l pylsp_jsonrpc

%check
%pytest -v -k "not test_writer_bad_message"

%files -n python3-%{short_name} -f %{pyproject_files}
%doc README.md

%changelog
* Wed Jan 03 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.2-6
- Fix an incorrect version in the Python metadata

* Wed Jan 03 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.2-5
- Assert a license file is automatically handled; don’t package a duplicate

* Wed Dec 13 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.2-4
- BR pytest directly; do not generate coverage/linting BR’s
- Patch out coverage arguments for pytest

* Wed Oct 11 2023 Sandro <devel@penguinpee.nl> - 1.1.2-1
- Update to 1.1.2 (RHBZ#2240426)
- Setup git tree and tag for `_version.py`

* Wed Oct 11 2023 Sandro <devel@penguinpee.nl> - 1.1.1-3
- Add Packit config

* Wed Oct 11 2023 Sandro <devel@penguinpee.nl> - 1.1.1-2
- Use forge macros

* Wed Oct 11 2023 Sandro <devel@penguinpee.nl> - 1.1.1-1
- Update to 1.1.1 (RHBZ#2237970)

* Wed Oct 11 2023 Sandro <devel@penguinpee.nl> - 1.0.0-8
- Modify pytest command
- Ignore failing test
- Don't run coverage

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.0.0-5
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jul 07 2021 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1.0.0-2
- Use pytest macro
- address other spec sanity comments

* Mon Jul 05 2021 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1.0.0-1
- Initial package

